Name:           perl-Number-Range
Version:        0.12
Release:        6%{?dist}
Summary:        Extension to work with ranges of numbers
# "This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself."
# Query about separate license file: https://rt.cpan.org/Public/Bug/Display.html?id=117694
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Number-Range
Source0:        https://cpan.metacpan.org/authors/id/L/LA/LARRYSH/Number-Range-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
BuildRequires:  perl(warnings::register)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Number::Range will take a description of a range, and then allow you to test on
if a number falls within the range. You can also add and delete from the range.


%prep
%autosetup -n Number-Range-%{version}

# Fix wrong-file-end-of-line-encoding
sed -i 's/\r$//' README

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -delete


%check
make test


%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/Number::Range.3pm*


%changelog
* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.12-6
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.12-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Sep 09 2016 Sandro Mani <manisandro@gmail.com> - 0.12-1
- Initial package
